### Method

# Gtk TextMark get_name

#### Declaration [src]

    const char*
    gtk_text_mark_get_name (
      GtkTextMark* mark
    )

#### Description [src]

Returns the mark name.

Returns `NULL` for anonymous marks.

Gets property | `Gtk.TextMark:name`

#### Return value

Type: `const char*`

Mark name.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.